Get Reference
curl --request GET \
--url https://app.octavehq.com/api/v2/reference/get \
--header 'api_key: <api-key>'import requests
url = "https://app.octavehq.com/api/v2/reference/get"
headers = {"api_key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {api_key: '<api-key>'}};
fetch('https://app.octavehq.com/api/v2/reference/get', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"_metadata": {
"requestId": "requestId",
"timestamp": "2021-01-01T00:00:00.000Z",
"usage": 0,
"message": "message"
},
"oId": "r_1234",
"createdAt": "2021-01-01",
"data": {
"businessModel": [
"<string>"
],
"theirChallenge": [
"<string>"
],
"howTheyUseUs": [
"<string>"
],
"whyTheyChoseUs": [
"<string>"
],
"impactTheySaw": [
"<string>"
],
"stakeholdersInvolved": [
"<string>"
],
"customFields": [
{
"title": "<string>",
"value": [
"<string>"
]
}
],
"additionalProperties": {}
},
"user": {
"oId": "u_1234",
"firstName": "John",
"lastName": "Doe"
},
"workspace": {
"oId": "w_1234"
},
"name": "Large filesharing service",
"internalName": "Dropbox",
"updatedAt": "2021-01-01",
"deletedAt": "2021-01-01",
"archivedAt": "2021-01-01",
"description": "Description of the reference",
"active": true,
"unrecognized": false
}{
"_metadata": {
"requestId": "requestId",
"timestamp": "2021-01-01T00:00:00.000Z",
"usage": 0,
"message": "message"
},
"message": "<string>"
}{
"_metadata": {
"requestId": "requestId",
"timestamp": "2021-01-01T00:00:00.000Z",
"usage": 0,
"message": "message"
},
"message": "<string>"
}Reference
Get Reference
Get Reference by OId
GET
/
api
/
v2
/
reference
/
get
Get Reference
Authorizations
Query Parameters
Reference OId
Response
Reference data
Show child attributes
Show child attributes
The ID of the reference
Minimum string length:
1Example:
"r_1234"
The date and time the reference was created
Example:
"2021-01-01"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
The external facing name of the reference
Example:
"Large filesharing service"
The internal name of the reference
Example:
"Dropbox"
The date and time the reference was updated
Example:
"2021-01-01"
The date and time the reference was deleted
Example:
"2021-01-01"
The date and time the reference was archived
Example:
"2021-01-01"
The description of the reference
Example:
"Description of the reference"
Whether the reference is active and can be used
Example:
true
Whether the reference is unrecognized
Example:
false